Lazarus 1.8 unter Debian Stretch Installationsproblem

Für Installationen unter Linux-Systemen

Lazarus 1.8 unter Debian Stretch Installationsproblem

Beitragvon DL3AD » 9. Dez 2017, 13:50 Lazarus 1.8 unter Debian Stretch Installationsproblem

Hallo,

habe heute versucht Lazarus unter Debian Stretch zu installieren funktioniert leider nicht :(
Zuerst habe ich das scr Paket installiert

dpkg -i fpc-src_3.0.4-1_amd64.deb

dass hat funktioniert.

dpkg -i fpc_3.0.4-1_amd64.deb

klappt nicht wegen irgend welchen Abhängikeiten und lazarus-project_1.8.0-0_amd64.deb mag er auch nicht. :x
Benötige ich vor der Installation noch irgend welche speziellen Pakete ?

Gruß Frank
DL3AD
 
Beiträge: 428
Registriert: 13. Sep 2013, 11:07
Wohnort: Rügen
OS, Lazarus, FPC: Debian Buster (L 2.0.2) | 
CPU-Target: 64Bit
Nach oben

Beitragvon Mathias » 9. Dez 2017, 16:25 Re: Lazarus 1.8 unter Debian Stretch Installationsproblem

klappt nicht wegen irgend welchen Abhängikeiten

Interessant wäre, welche Pakete fehlen, die Installation spuckt sicher etwas aus.
Mit Lazarus sehe ich gün
Mit Java und C/C++ sehe ich rot
Mathias
 
Beiträge: 4384
Registriert: 2. Jan 2014, 17:21
Wohnort: Schweiz
OS, Lazarus, FPC: Linux (die neusten Trunc) | 
CPU-Target: 64Bit
Nach oben

Beitragvon DL3AD » 9. Dez 2017, 16:49 Re: Lazarus 1.8 unter Debian Stretch Installationsproblem

Mathias hat geschrieben:
klappt nicht wegen irgend welchen Abhängikeiten

Interessant wäre, welche Pakete fehlen, die Installation spuckt sicher etwas aus.


... leider ist keine Info zu bekommen das ihm fehlt.
Selbst wenn ich mit dolphin versuche zu installieren gbt es keine weitergehende Infos.

Mein Debian läuft mit KDE.
Auf meiner alten Insatllation Debian jessie hatte ich Lazarus 1.6 laufen - über console installiert, war damals kein problem.

EDIT: binutils haben gefehlt - mit fix install und den binutils hat die Installation nun funktioniert.

Gruß Frank
DL3AD
 
Beiträge: 428
Registriert: 13. Sep 2013, 11:07
Wohnort: Rügen
OS, Lazarus, FPC: Debian Buster (L 2.0.2) | 
CPU-Target: 64Bit
Nach oben

Beitragvon Mathias » 9. Dez 2017, 18:13 Re: Lazarus 1.8 unter Debian Stretch Installationsproblem

EDIT: binutils haben gefehlt - mit fix install und den binutils hat die Installation nun funktioniert.

Gut, das nur eine Kleinigkeit gefehlt hat.

... leider ist keine Info zu bekommen das ihm fehlt.
Selbst wenn ich mit dolphin versuche zu installieren gbt es keine weitergehende Infos.

Wen ich in der Konsole etwas installiere, werden bei mir Meldungen ausgespuckt.

ZB: Das er das Paket nicht findet.
Code: Alles auswählen
 # dpkg -i fpc-src_3.0.4-1_amd64.deb
dpkg: Fehler beim Bearbeiten des Archivs fpc-src_3.0.4-1_amd64.deb (--install):
 Auf das Archiv kann nicht zugegriffen werden: Datei oder Verzeichnis nicht gefunden
Fehler traten auf beim Bearbeiten von:
 fpc-src_3.0.4-1_amd64.deb
Mit Lazarus sehe ich gün
Mit Java und C/C++ sehe ich rot
Mathias
 
Beiträge: 4384
Registriert: 2. Jan 2014, 17:21
Wohnort: Schweiz
OS, Lazarus, FPC: Linux (die neusten Trunc) | 
CPU-Target: 64Bit
Nach oben

Beitragvon DL3AD » 9. Dez 2017, 19:00 Re: Lazarus 1.8 unter Debian Stretch Installationsproblem

... ja, aber wenn man zu doof ist richtig zu lesen, was da steht, dann passiert das schon mal etwas zu überlesen :mrgreen:
DL3AD
 
Beiträge: 428
Registriert: 13. Sep 2013, 11:07
Wohnort: Rügen
OS, Lazarus, FPC: Debian Buster (L 2.0.2) | 
CPU-Target: 64Bit
Nach oben

• Themenende •

Zurück zu Linux



Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

porpoises-institution
accuracy-worried